# Class NmrResourceHandler

java.lang.Object
org.openscience.jmol.app.janocchio.NmrResourceHandler

public class NmrResourceHandler extends Object
Provides access to resources (for example, strings and images). This class is a singleton which is retrieved by the getInstance method.

Author:
  Bradley A. Smith (bradley@baysmith.com)

## Method Summary

Modifier and Type
Method
Description
`static ImageIcon`
`getIconX(String key)`
`static NmrResourceHandler`
`getInstance()`
`static String`
`getStringX(String key)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static NmrResourceHandler getInstance()

### getStringX

public static String getStringX(String key)

### getIconX

public static ImageIcon getIconX(String key)